Skip to main content
GET
Retrieve price book

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

priceBookId
integer<int64>
required

The unique identifier of the price book to retrieve.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Response

successful operation

autoAssignmentEnabled
boolean
required
countOfIncludedProducts
integer<int32>
required

The number of products included in this price book.

customProperties
object
required

A map of custom property names to their values for this price book.

id
string
required

The unique identifier for this price book.

status
enum<string>
required

The current status of the price book. Valid values include 'ACTIVE' and 'INACTIVE'.

Available options:
ACTIVE,
INACTIVE
supportedCurrencies
string[]
required

An array of currency codes that this price book supports.

archived
boolean

A boolean indicating whether this price book is archived.

archivedAt
string<date-time>

The date and time when this price book was archived.

createdAt
string<date-time>

The date and time when this price book was created.

description
string

A description of the price book.

name
string

The name of the price book.

updatedAt
string<date-time>

The date and time when this price book was last updated.

Last modified on July 20, 2026